Bug 114085 - applet does not check yum repo for updates
applet does not check yum repo for updates
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
: 107315 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-22 09:56 EST by diego.santacruz
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-21 20:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of the applet showing the upgrade. (8.20 KB, image/gif)
2004-01-22 11:51 EST, Daniel Veillard
no flags Details

  None (edit)
Description diego.santacruz 2004-01-22 09:56:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
I have configured the freshrpms yum repo in /etc/sysconfig/rhn/sources
by adding the following line

yum freshrpms http://ayo.freshrpms.net/fedora/linux/1/i386/freshrpms

Today there is an update available from freshrpms, but the applet does
not show it, even after forcing a "check for updates".

However, if I launch up2date, it shows that an update is available.

Why is that up2date shows the available update and not rhn-applet-gui?
Don't they use the same config file /etc/sysconfig/rhn/sources?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure freshrpms yum repo in /etc/sysconfig/rhn/sources
2. Wait until there is an update available from freshrpms
3. Force a check for updates from the rhn applet

Actual Results:  The applet does not show that there is an update

Expected Results:  The applet should show that there is an update
available, as is the case in up2date.

Additional info:

In this particular case the update RPM is gkrellm 2.1.25-1.fr and the
installed one is 2.1.24-1.fr (both from freshrpms.net)
Comment 1 Daniel Veillard 2004-01-22 10:38:51 EST
The very first thing to do is to update to rhn-applet-2.1.7
and see if the problem still exists.

Comment 2 Daniel Veillard 2004-01-22 10:40:00 EST
check at http://people.redhat.com/veillard/testing/FC1/i386/rhn-applet/
Comment 3 diego.santacruz 2004-01-22 10:47:40 EST
Just upgraded to rhn-applet-2.1.7-1 from the URL above and no luck.
The same behaviour is present: no update detected.
Comment 4 Daniel Veillard 2004-01-22 11:07:03 EST
gkrellm-2.1.24-1.fr is not available anymore. I cannot reproduce the

Comment 5 diego.santacruz 2004-01-22 11:15:05 EST
I have that gkrellm version on my local yum cache. I have made it
available (for the time being) at
Comment 6 Daniel Veillard 2004-01-22 11:51:49 EST
Created attachment 97172 [details]
screenshot of the applet showing the upgrade.
Comment 7 Daniel Veillard 2004-01-22 11:53:09 EST
Works for me, see the screenshot !
Something else is going on, but I can't reproduce your problem...

Comment 8 diego.santacruz 2004-01-22 12:25:57 EST
Problem found!

I had a non functioning http proxy on my rhn-applet config file, so no
http connection was being made. But the check-box in the config dialog
 for the proxy was not enabled checked!

So this shows 2 problems with rhn-applet

1) If the http proxy is not function and there are no known updates,
no error messsage is provided to the user, the icon stays blue with
the check sign. Therefore the user thinks all is well and will not be
aware of any updates

2) The config dialog of rhn-applet never shows the check-box for the
proxy as checked, once a proxy has been configured. However, the proxy
is being used.

To reproduce this last problem do:

1. Clean all rhn-applet config: rm -rf ~/.rhn-applet*
2. start rhn-applet and open the configuration dialog
3. enter a proxy server and check the enable box
4. exit rhn-applet
5. start rhn-applet again and open the configuration dialog

the proxy server address is shown grayed out and the enable box is
unchecked, however the proxy server is enabled!
Comment 9 Daniel Veillard 2004-01-22 12:38:30 EST
okay, reopenned,

Comment 10 Jef Spaleta 2004-01-29 11:21:01 EST
*** Bug 107315 has been marked as a duplicate of this bug. ***
Comment 11 John Thacker 2006-04-21 20:55:10 EDT
rhn-applet is not being actively maintained or updated.  Since rhn-applet is not
present in FC5, being deprecated, if this bug is not yet fixed, it is extremely
unlikely to.

Note You need to log in before you can comment on or make changes to this bug.